petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESShellSetSolve

Sets routine to apply as solver

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESShellSetSolve(SNES snes,PetscErrorCode (*solve)(SNES,Vec))

Logically Collective on SNES

### Input Parameters

| snes | - the nonlinear solver context
| apply | - the application-provided solver routine

### Calling sequence of solve

       PetscErrorCode apply (SNES snes,Vec xout)

| snes | - the preconditioner, get the application context with SNESShellGetContext()
| xout | - solution vector

### Notes

the function MUST return an error code of 0 on success and nonzero on failure.

### Keywords

SNES, shell, set, apply, user-provided

### See Also

SNESSHELL, SNESShellSetContext(), SNESShellGetContext()

### Level

advanced

### Location

src/snes/impls/shell/snesshell.c

### Examples

src/snes/examples/tutorials/ex35.c.html

### Implementations

SNESShellSetSolve_Shell(SNES snes,PetscErrorCode (*solve) in src/snes/impls/shell/snesshell.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages